# Class ReporterSaxMessager

java.lang.Object
uk.ac.starlink.ttools.taplint.ReporterSaxMessager

All Implemented Interfaces:
  `SaxMessager`

public class ReporterSaxMessager extends Object implements SaxMessager
SaxMessager implementation which delivers its output via a TapLint-style reporter.

Since:
  10 Jun 2011
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from interface SaxMessager

`SaxMessager.Level`

## Constructor Summary

Constructors
Constructor
Description
`ReporterSaxMessager(Reporter reporter)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`reportMessage(SaxMessager.Level level, VotLintCode vcode, String msg, Locator locator)`
Reports a message.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReporterSaxMessager

public ReporterSaxMessager(Reporter reporter)
Constructor.

Parameters:
  `reporter` - validation message destination

## Method Details

### reportMessage

public void reportMessage(SaxMessager.Level level, VotLintCode vcode, String msg, Locator locator)
Description copied from interface: `SaxMessager`
Reports a message.

Specified by:
  `reportMessage` in interface `SaxMessager`
Parameters:
  `level` - severity level of the message, not null
  `vcode` - message identifier
  `msg` - message text
  `locator` - location in the XML document that provoked the message, or null if unknown/inapplicable